[Launch]
ProgramExecutable=Allavsoft\videodownloader.exe
WorkingDirectory=%PAL:AppDir%\Allavsoft
WaitForEXE1=ffmpeg.exe
WaitForEXE2=ffprobe.exe
WaitForEXE3=metaflac.exe
WaitForEXE4=rtmpdump.exe
WaitForEXE5=videorecord.exe
WaitForEXE6=youtube-dl.exe
DirectoryMoveOK=yes

[Activate]
Registry=true

[RegistryValueWrite]
HKLM\SOFTWARE\Classes\CLSID\{4EA6930A-2C8A-4AE6-A561-56E4B5044439}\InprocServer32\=REG_SZ:%PAL:AppDir%\Allavsoft\record\screen-capture-recorder.dll
HKLM\SOFTWARE\Classes\CLSID\{8E14549B-DB61-4309-AFA1-3578E927E935}\InprocServer32\=REG_SZ:%PAL:AppDir%\Allavsoft\record\audio_sniffer.dll
HKCU\Software\Allavsoft\Video Downloader Converter\RegInfo\RegCode=REG_SZ:DE10-229B-BAA6-6A14-8D75-BA59-C560-FFCC
HKCU\Software\Allavsoft\Video Downloader Converter\RegInfo\UserName=REG_SZ:Allavsoft
HKCU\Software\Allavsoft\Video Downloader Converter\Setting\ENABLE_UPDATE=REG_SZ:false
HKCU\Software\Allavsoft\Video Downloader Converter\Setting\DAYS_TO_CHECK=REG_DWORD:0000001e
HKCU\Software\Allavsoft\Video Downloader Converter\Setting\DAYS_TO_CHECK=REG_DWORD:00000000
HKCU\Software\Allavsoft\Video Downloader Converter\Setting\DISPLAY_HELP_IMPROVE=REG_SZ:true

[RegistryKeys]
Allavsoft=HKCU\Software\Allavsoft
audio_sniffer=HKLM\SOFTWARE\Classes\CLSID\{33D9A762-90C8-11d0-BD43-00A0C911CE86}\Instance
screen-capture=HKLM\SOFTWARE\Classes\CLSID\{860BB310-5D01-11d0-BD3B-00A0C911CE86}\Instance
-=HKCU\Software\Trolltech

[DirectoriesMove]
Allavsoft=%APPDATA%\Allavsoft

[DirectoriesCleanupIfEmpty]
1=%USERPROFILE%\Documents\Allavsoft\Convert
2=%USERPROFILE%\Documents\Allavsoft\Merge
3=%USERPROFILE%\Documents\Allavsoft

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\Allavsoft.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\Allavsoft.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\Allavsoft.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\settings\Allavsoft.reg
Find=INITOUTPUTDIR
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%
